<?php
/**
* @version		3.0.0
* @package		JomLand TicketCenter
* @copyright	Copyright (C) 2010 JomLand.com. All rights reserved.
* @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

/*TODO:  
 * 1. PayPal Notification
 * 2. Other Payment menthods? No Payment?
 * 3. Events Display - Date Range 
 * 4. Events Display  - Archive
  */

// no direct access
defined('_JEXEC') or die('Restricted access');

define( 'DS','/' );

require_once(JPATH_COMPONENT.DS.'controller.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'setup.php');

if($controller = JRequest::getVar('controller')) {
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
	$controller = 'Controller'.$controller;
}else{
	$controller = 'Controller';
}

$classname	= 'JLTicketCenter'.$controller;
$controller = new $classname();
$controller->execute(JRequest::getVar('task'));

$controller->redirect();